import request from "../../common/request"
import { SYS_PATH as prefix } from "../AppPath";

export default {
	list: function (params) {
		return request({
			url: prefix + "/sys/log/list",
			method: "get",
			params: params,
		});
	},

	mine: function (params) {
		return request({
			url: prefix + "/sys/log/data/mine",
			method: "get",
			params: params,
		});
	},

	delete: function (ids) {
		return request({
			url: prefix + "/sys/log/delete",
			method: "delete",
			params: { ids: ids },
		});
	},

	empty: function () {
		return request({
			url: prefix + "/sys/log/empty",
			method: "delete",
		});
	},
};
